- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefa_snap – Manage volume snapshots on Pure Storage FlashArrays

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create or delete volumes and volume snapshots on Pure Storage FlashArray.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
eradicate boolean | Choices: no ← yes | Define whether to eradicate the snapshot on delete or leave in trash.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
name string / required |  | The name of the source volume.
overwrite boolean | Choices: no ← yes | Define whether to overwrite existing volume when creating from snapshot.
state string | Choices: absent copy present ← | Define whether the volume snapshot should exist or not.
suffix string |  | Suffix of snapshot name.
target string |  | Name of target volume if creating from snapshot.

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create snapshot foo.ansible
      purefa_snap:
        name: foo
        suffix: ansible
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: present

    - name: Create R/W clone foo_clone from snapshot foo.snap
      purefa_snap:
        name: foo
        suffix: snap
        target: foo_clone
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: copy

    - name: Overwrite existing volume foo_clone with snapshot foo.snap
      purefa_snap:
        name: foo
        suffix: snap
        target: foo_clone
        overwrite: true
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: copy

    - name: Delete and eradicate snapshot named foo.snap
      purefa_snap:
        name: foo
        suffix: snap
        eradicate: true
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.